---
layout: post
title: "First ever Smoothie-powered plasma cutter ! Can't wait for the technical details !!!"
date: February 02, 2016 13:55
category: "General discussion"
author: "Arthur Wolf"
---
First ever Smoothie-powered plasma cutter ! Can't wait for the technical details !!!



<b>Originally shared by Peter van der Walt</b>



**+Arthur Wolf**​ **+Mark Carew**​ 



V-Slot,  meets Smoothieboard,  meets molten metal (; 





**"Arthur Wolf"**

---


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/fGnXo4eazxu) &mdash; content and formatting may not be reliable*
